Index: branches/2.2/mobile/setup/phpgw_pt-br.lang
===================================================================
--- branches/2.2/mobile/setup/phpgw_pt-br.lang	(revision 3655)
+++ branches/2.2/mobile/setup/phpgw_pt-br.lang	(revision 3691)
@@ -19,4 +19,5 @@
 From	mobile	pt-br	De
 Forward	mobile	pt-br	Encaminhar
+filter by	mobile	pt-br	Filtrar por
 Logout	mobile	pt-br	Sair
 To	mobile	pt-br	Para
Index: branches/2.2/mobile/inc/class.ui_mobilemail.inc.php
===================================================================
--- branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3658)
+++ branches/2.2/mobile/inc/class.ui_mobilemail.inc.php	(revision 3691)
@@ -442,4 +442,6 @@
 			$p->set_var("selected_".$this->current_search_box_type,"selected");
 			$p->set_var("lang_back",lang("back"));
+			$p->set_var("selecteds",ucfirst(lang("Selecteds")));
+			$p->set_var("filter_by",lang("filter by"));
 			$p->set_var("lang_new_message",lang("new message"));
 			$p->set_var('lang_search',lang('search'));
@@ -499,5 +501,5 @@
 
 			if(count($messages)>1) { //O array de emails tem pelo menos uma posição com o total de mensagens.
-				$bg = "dt-azul";
+				$bg = "bg-azul";
 				foreach($messages as $id => $message) {
 					
@@ -508,14 +510,16 @@
 					else
 						$from_name = $message['from']['email'];
-					
-					$p->set_var('bg',$bg=="dt-azul"?$bg="dt-branco":$bg="dt-azul");
-					
-					$flag=" ";
+					$bg = $bg=="bg-azul"?"bg-branco":"bg-azul";
+					$p->set_var('bg',"email-geral $bg");
+					
+					$flag="";
 										
-					if($message["Unseen"]!=="U") 
-						$flag="seen ";
+					if($message["Unseen"]==="U") 
+						$flag="email-nao-lido ";
+					else
+						$flag="email-lido ";
 					
 					if($message["Flagged"]==="F")
-						$flag.="important";
+						$flag.="email-importante";
 					
 					$p->set_var("flag",$flag);
@@ -525,11 +529,18 @@
 						$p->set_var('show_check','none');
 					
+					if($print_checkbox)
+						$p->set_var("details","email-corpo");
+					else
+						$p->set_var("details","limpar_div margin-geral");
+
+					
 					$p->set_var('pre_type',$pre);
 					$p->set_var('pos_type',$pos);
 					$p->set_var('from',$from_name);
+					$p->set_var('url_images','templates/'.$GLOBALS['phpgw_info']['server']['template_set'].'/images');
 					$p->set_var('msg_number',$message["msg_number"]);
 					$p->set_var('mail_time',$message['smalldate']);
 					$p->set_var('mail_from',$message['from']['email']);
-					$p->set_var('subject',$message['subject']);
+					$p->set_var('subject',$message['subject']?$message['subject']:"(".lang("no subject").")");
 					$p->set_var('size',$functions->borkb($message['Size']));
 					$p->set_var('lang_attachment',lang('ATTACHMENT'));
Index: branches/2.2/mobile/templates/default/mails_list.tpl
===================================================================
--- branches/2.2/mobile/templates/default/mails_list.tpl	(revision 3651)
+++ branches/2.2/mobile/templates/default/mails_list.tpl	(revision 3691)
@@ -3,22 +3,21 @@
 <!-- END rows_mails -->
 <!-- BEGIN row_mails -->
-				<div class="{bg}">
-					<div class="posiciona-esquerda">
-					<input type="checkbox" name="msgs[]" style="display:{show_check};" value={msg_number}><a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}" class="email-item {flag}">
-						{subject}
-					</a>
-					<p>{from} </p>
-					<p>{mail_from}</p>
-					
-					</div>
-				
-					<div class="posiciona-direita">
-						<b><p class="contagem {flag}">{mail_time}</p></b>
-						<span class="btn-anexo" style='display:{show_attach};'>{lang_attachment}</span>
-						<span style='display:{no_attach_space};'>&nbsp;</span>
-						<p>{size}</p>
-					</div>
-				
-				</div>
+
+			 <div class="{bg}">
+                    <div class="email-cabecalho margin-geral" >
+                         <p class="{flag}">
+                         	<input type="checkbox" name="msgs[]" style="display:{show_check};" value={msg_number}>
+                         	<a href="index.php?menuaction=mobile.ui_mobilemail.show_msg&msg_number={msg_number}&msg_folder={msg_folder}">
+                         	{subject}
+                         	</a>
+                         </p>
+                    </div>
+                    <span class="email-data"><img src="{url_images}/anexo.png" align="left"/>{mail_time}</span>
+                    <div class="{details}">
+                         <p>{from}</p>
+                         <p>{mail_from}</p>
+                     </div>
+   			 </div>
+
 
 <!-- END row_mails -->
Index: branches/2.2/mobile/templates/default/mobilemail.tpl
===================================================================
--- branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3651)
+++ branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3691)
@@ -1,5 +1,7 @@
 <!-- BEGIN main_emails -->		
 		<div class="menu-contexto">
-			<span><a href="javascript:history.back()">{lang_back}</a></span> <span class="titulo-secao">{folder}</span><button name="nova" title="{lang_new_message}" class="btn-contexto menor" onclick="location.href='index.php?menuaction=mobile.ui_mobilemail.new_msg&type=clk'">{lang_new}</button>
+			<span><a href="javascript:history.go(-1);">&lt; {lang_back}</a></span>
+			<span class="titulo-secao">{folder}</span>
+			<button class="btn-contexto" onclick="location.href='index.php?menuaction=mobile.ui_mobilemail.new_msg&type=clk'">{lang_new}</button>
 		</div>
 			
@@ -12,16 +14,15 @@
 		
 		<dl id="lista_miolo">
+			<dt id="palavra-procurada">
+				{filter_by}:
+				<select name="fitros" onChange="location.href='index.php?menuaction=mobile.ui_mobilemail.change_search_box_type&search_box_type='+this.value">
+				 <option value="all" {selected_all}>Todos</option>
+				 <option value="flagged" {selected_flagged}>Importante</option>
+				 <option value="seen" {selected_seen}>Lidas</option>
+				 <option value="unseen" {selected_unseen}>N&atilde;o Lidas</option>
+				 <option value="answered" {selected_answered}>Respondidas</option>	
+				</select>
+			</dt>
 			
-			<dt>
-			Filtros:
-			<select name="fitros" onChange="location.href='index.php?menuaction=mobile.ui_mobilemail.change_search_box_type&search_box_type='+this.value">
-			 <option value="all" {selected_all}>Todos</option>
-			 <option value="flagged" {selected_flagged}>Importante</option>
-			 <option value="seen" {selected_seen}>Lidas</option>
-			 <option value="unseen" {selected_unseen}>N&atilde;o Lidas</option>
-			 <option value="answered" {selected_answered}>Respondidas</option>	
-			</select>
-			
-			</dt>
 				<form id="formu" action="index.php" method="post">
 				<input type="hidden" id="menuaction" name="menuaction" value="mobile.ui_mobilemail.delete_msg">
@@ -31,16 +32,18 @@
 				</form>
 			
-		<div class="menu-contexto" style="display:{show_more};">
+		<div class="menu-contexto centraliza" style="display:{show_more};">
 			<form method="post" action="index.php">
-			<input type="hidden" name="menuaction" value="mobile.ui_mobilemail.change_page">
-			<input type="hidden" name="page" value="{page}">
-			<input type="submit" name="more_messages" title="{lang_more_messages}" class="btn-contexto" value="{lang_more} 10 {lang_messages}">
+				<input type="hidden" name="menuaction" value="mobile.ui_mobilemail.change_page">
+				<input type="hidden" name="page" value="{page}">
+				<button type="submit" name="more_messages" title="{lang_more_messages}" class="btn-contexto"> {lang_more} 10 {lang_messages}</button>
 			</form>
 		</div>
 		
 		<div id="operacao_lista">
-			Selecionados:
-			<button id="selecionar" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.mark_message_with_flag';document.getElementById('formu').submit();" >marcar como lido</button>
-			<button id="remover" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.delete_msg';document.getElementById('formu').submit();">remover</button>
+			<div class="margin-rodape">
+				{selecteds}:
+				<button id="selecionar" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.mark_message_with_flag';document.getElementById('formu').submit();" >marcar como lido</button>
+				<button id="remover" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.delete_msg';document.getElementById('formu').submit();">remover</button>
+			</div>
 		</div>
 <!-- END main_emails -->
Index: branches/2.2/mobile/templates/css/mobile.css
===================================================================
--- branches/2.2/mobile/templates/css/mobile.css	(revision 3689)
+++ branches/2.2/mobile/templates/css/mobile.css	(revision 3691)
@@ -286,5 +286,5 @@
 .email-geral{width:100%; padding:5px 0}
 .email-cabecalho{overflow: hidden; width:74%; height:22px; float:left;}
-.email-cabecalho p{font-size:medium}
+.email-cabecalho p,.email-cabecalho a,.email-cabecalho a:visited{font-size:medium; color:#000}
 .email-anexo{width:16px; height:16px; float:left;  margin-top:5px}
 .email-data{width:69px; float:right; margin:5px 3px 0 0; margin-top:5px; text-align:right; font-size:x-small;}
@@ -295,6 +295,6 @@
 .email-corpo-sem-check p{margin:0 23px}
 .email-corpo p{margin:0 23px}
-.email-importante{color:#F00}
-.email-nao-lido{font-weight:bold}
+.email-importante a,.email-importante a:visited{color:#F00}
+.email-nao-lido a{font-weight:bold}
 .email-lido{font-weight:normal}
 .email-labels {text-align:right; width:78px; display:table; float:left; margin-right:5px; height:22px; line-height:22px }