Index: branches/2.2/mobile/inc/class.bo_mobilecc.inc.php
===================================================================
--- branches/2.2/mobile/inc/class.bo_mobilecc.inc.php	(revision 3629)
+++ branches/2.2/mobile/inc/class.bo_mobilecc.inc.php	(revision 3706)
@@ -49,6 +49,6 @@
 				$what = array('contact.names_ordered',$id);
 			}
-			
-			if ((strpos($catalog,'bo_global_ldap_catalog')!==false) &&
+
+			if ((strpos($this->page_info['actual_catalog'],'bo_global_ldap_catalog')!==false) &&
 					(!$this->page_info['is_external_catalog'])) { //Ldap do expresso, leva em conta alguns atributos do expresso
 
@@ -94,6 +94,4 @@
 							));		
 			}
-			
-			
 			$ids = $this->bo->find($what,$rules,array('order'=>$search),false,true);
 
Index: branches/2.2/mobile/inc/class.ui_home.inc.php
===================================================================
--- branches/2.2/mobile/inc/class.ui_home.inc.php	(revision 3690)
+++ branches/2.2/mobile/inc/class.ui_home.inc.php	(revision 3706)
@@ -122,4 +122,5 @@
 		
     function search($params) {
+    	
     	if($_SERVER["HTTP_REFERER"] && strpos($_SERVER["HTTP_REFERER"], "ui_home.index")) {
     		if(!$params["default_folders"] &&
@@ -146,4 +147,6 @@
 			//Langs gerais da página
 			$p->set_block('search','home_search');
+			$p->set_block("search","row_events");
+			$p->set_block("search","no_events");
 			$p->set_block('home_search_bar','search_bar');
 			
@@ -174,4 +177,88 @@
 			
 			$p->set_var('search',$p->fp('out','search_bar'));
+
+			//E-mails
+			$no_mail_search=false;
+			if((!isset($params['folder_to_search'])) || ($params['folder_to_search']==="")) {
+				if($params['default_folders']==="1") {
+					if($params['personal_folders']!=="1")
+						$mail_params['folderType'] = 'default';			
+				}
+				else {
+					if($params['personal_folders']==="1")
+						$mail_params['folderType'] = 'personal';
+					else
+						$no_mail_search = true;
+				}
+			}
+			else {
+				$mail_params['folder'] = $params['folder_to_search'];
+			}
+
+			if(!$no_mail_search) {
+				$imap_functions = CreateObject('expressoMail1_2.imap_functions');
+				$mail_params['filter'] = $params["name"];
+				$mail_params['max_msgs'] = isset($params['max_msgs'])?$params['max_msgs']:10;
+				
+				$p->set_var('next_max_msgs',$mail_params['max_msgs']+10);
+				$p->set_var('max_msgs',$mail_params['max_msgs']);
+
+				$messages = $imap_functions->mobile_search($mail_params);
+				if($mail_params['max_msgs']>=$messages["total_msgs"])
+					$p->set_var('show_more_messages',"none");
+				else
+					$p->set_var('show_more_messages',"block");
+				$p->set_var('mails',$ui_mobilemail->print_mails_list($messages));
+			}
+			else {
+				$p->set_var('show_mails',"none");
+			}
+			
+			//Agenda
+			if($params["calendar_search"]==="1") {
+				
+				$bo_calendar = CreateObject('calendar.bocalendar',1);
+				$functions = CreateObject('mobile.common_functions');
+				
+				$max_events = isset($params['max_events'])?$params['max_events']:10;
+				$p->set_var('next_max_events',$max_events+10);
+				$p->set_var('max_events',$max_events);
+				
+				$event_ids = $bo_calendar->search_keywords($params['name']);
+				
+				$bg = "fundo-azul-alinha";
+				if(!empty($event_ids)) {
+					$total_events_search = count($event_ids);
+					$event_ids = array_slice($event_ids,0,$max_events,true);
+					if($total_events_search>count($event_ids))
+						$p->set_var('show_more_events',"block");
+					foreach($event_ids as $key => $id)
+					{
+						$event = $bo_calendar->read_entry($id);
+						
+						if(!$bo_calendar->check_perms(PHPGW_ACL_READ,$event))
+						{
+							continue;
+						}
+	
+						$p->set_var("bg",$bg=="fundo-azul-alinha"?$bg="fundo-branco-alinha":$bg="fundo-azul-alinha");
+						$p->set_var("date",$functions->complete_string($event["start"]["mday"],2,"R","0")."/".
+											$functions->complete_string($event["start"]["month"],2,"R","0")."/".
+											$event["start"]["year"]." ".
+											$functions->complete_string($event["start"]["hour"],2,"R","0").":".
+											$functions->complete_string($event["start"]["min"],2,"R","0"));
+						$p->set_var("title",$event["title"],40);
+						$p->fp("calendar_results","row_events",True);
+				
+					}
+				}
+				else {
+					$p->set_var("lang_no_results",lang("no results found"));
+					$p->parse("calendar_results","no_events");
+				}
+			}
+			else {
+				$p->set_var("show_calendar","none");
+			}
 			
 			//Contatos			
@@ -225,89 +312,5 @@
 				$p->set_var('show_contacts',"none");
 			}
-
-			//E-mails
-			$no_mail_search=false;
-			if((!isset($params['folder_to_search'])) || ($params['folder_to_search']==="")) {
-				if($params['default_folders']==="1") {
-					if($params['personal_folders']!=="1")
-						$mail_params['folderType'] = 'default';			
-				}
-				else {
-					if($params['personal_folders']==="1")
-						$mail_params['folderType'] = 'personal';
-					else
-						$no_mail_search = true;
-				}
-			}
-			else {
-				$mail_params['folder'] = $params['folder_to_search'];
-			}
-
-			if(!$no_mail_search) {
-				$imap_functions = CreateObject('expressoMail1_2.imap_functions');
-				$mail_params['filter'] = $params["name"];
-				$mail_params['max_msgs'] = isset($params['max_msgs'])?$params['max_msgs']:10;
-				
-				$p->set_var('next_max_msgs',$mail_params['max_msgs']+10);
-				$p->set_var('max_msgs',$mail_params['max_msgs']);
-
-				$messages = $imap_functions->mobile_search($mail_params);
-				if($mail_params['max_msgs']>=$messages["total_msgs"])
-					$p->set_var('show_more_messages',"none");
-				else
-					$p->set_var('show_more_messages',"block");
-				$p->set_var('mails',$ui_mobilemail->print_mails_list($messages));
-			}
-			else {
-				$p->set_var('show_mails',"none");
-			}
-			
-			//Agenda
-			if($params["calendar_search"]==="1") {
-				$bo_calendar = CreateObject('calendar.bocalendar',1);
-				$functions = CreateObject('mobile.common_functions');
-				
-				$max_events = isset($params['max_events'])?$params['max_events']:10;
-				$p->set_var('next_max_events',$max_events+10);
-				$p->set_var('max_events',$max_events);
-				
-				$event_ids = $bo_calendar->search_keywords($params['name']);
-				$p->set_block("search","row_events");
-				$p->set_block("search","no_events");
-				$bg = "par";
-				if(!empty($event_ids)) {
-					$total_events_search = count($event_ids);
-					$event_ids = array_slice($event_ids,0,$max_events,true);
-					if($total_events_search>count($event_ids))
-						$p->set_var('show_more_events',"block");
-					foreach($event_ids as $key => $id)
-					{
-						$event = $bo_calendar->read_entry($id);
-						
-						if(!$bo_calendar->check_perms(PHPGW_ACL_READ,$event))
-						{
-							continue;
-						}
-	
-						$p->set_var("bg",$bg=="par"?$bg="reset-dt":$bg="par");
-						$p->set_var("date",$functions->complete_string($event["start"]["mday"],2,"R","0")."/".
-											$functions->complete_string($event["start"]["month"],2,"R","0")."/".
-											$event["start"]["year"]." ".
-											$functions->complete_string($event["start"]["hour"],2,"R","0").":".
-											$functions->complete_string($event["start"]["min"],2,"R","0"));
-						$p->set_var("title",$functions->strach_string($event["title"],40));
-						$p->set_var("description",$functions->strach_string($event["description"],80));
-						$p->fp("calendar_results","row_events",True);
-				
-					}
-				}
-				else {
-					$p->set_var("lang_no_results",lang("no results found"));
-					$p->parse("calendar_results","no_events");
-				}
-			}
-			else {
-				$p->set_var("show_calendar","none");
-			}
+			
 			$GLOBALS['phpgw_info']['mobiletemplate']->set_content($p->fp('out','home_search'));
 
Index: branches/2.2/mobile/inc/class.ui_mobilecc.inc.php
===================================================================
--- branches/2.2/mobile/inc/class.ui_mobilecc.inc.php	(revision 3700)
+++ branches/2.2/mobile/inc/class.ui_mobilecc.inc.php	(revision 3706)
@@ -261,11 +261,14 @@
 			$p->set_block('cc_t', 'no_contacts');
 
-			$bg = "par";
+			$bg = "bg-azul";
 			if(!empty($contacts)) {
 				foreach($contacts as $id => $contact) {
 
 					$p->set_var('show_check',$show_checkbox?"inline":"none");
-					$p->set_var('bg',$bg=="par"?$bg="reset-dt":$bg="par");
-										
+					$p->set_var('bg',$bg=="bg-azul"?$bg="bg-branco":$bg="bg-azul");
+					if($show_checkbox)
+						$p->set_var("details","email-corpo");
+					else
+						$p->set_var("details","limpar_div margin-geral");	
 					if($contact["catalog"]!=="bo_group_manager") {	//Contatos		
 						$id=strpos($contact["catalog"],"ldap")===false?$contact["id_contact"]:$id;
@@ -316,5 +319,5 @@
 					
 					if($request_from==null) {
-						$p->set_var('lang_see_details',lang("see details"));
+						$p->set_var('lang_see_details',lang("details"));
 						$cat_encode = urlencode($contact["catalog"]);
 						$p->set_var('href_details',"ui_mobilecc.contact_view&id=$id&catalog=".urlencode($contact["catalog"]));
Index: branches/2.2/mobile/templates/default/contacts_list.tpl
===================================================================
--- branches/2.2/mobile/templates/default/contacts_list.tpl	(revision 3595)
+++ branches/2.2/mobile/templates/default/contacts_list.tpl	(revision 3706)
@@ -3,22 +3,23 @@
 <!-- END rows_contacts -->
 <!-- BEGIN row_contacts -->
-				<dt class="titulo_mensagem {bg}">
-					<div class="nome-item"><input type="checkbox" name="contacts[]" style="display:{show_check};" value="{contact_id}"> {contact_name}
-					</div>
-				</dt>
-					
-				<dd class="dd-mensagem {bg}">
-					<div class="sobre-mensagem">
-						<p>{email}</p>
-						<p style="display:{show_tel};"><span>{lang_tel}:</span>{tel}</p>
-					</div> 
-					<a href="index.php?menuaction=mobile.{href_details}" class="btn-anexo">{lang_see_details}</a>
-					
-				</dd>
+
+            <div class="email-geral {bg}">
+                <div class="contato-cabecalho margin-geral" >
+                     <p><input type="checkbox" name="contacts[]" style="display:{show_check};" value="{contact_id}"> {contact_name}</p>
+                </div>
+                <span class="btn-anexo"><a href="index.php?menuaction=mobile.{href_details}">{lang_see_details}</a></span>
+                <div class="{details}">
+                    <p>{email}</p>
+                    <p style="display:{show_tel};"><span>{lang_tel}:</span>{tel}</p>
+                 </div>
+   			 </div>
+				
 <!-- END row_contacts -->
 <!-- BEGIN row_groups -->
 	<dt class="titulo_mensagem {bg}">
-		<div class="nome-item"><input type="checkbox" name="contacts[]" style="display:{show_check};" value="{group_id}"> {group_name}
-		<a href="index.php?menuaction=mobile.{href_details}" class="btn-anexo">{lang_see_details}</a></div>
+		<div class="email-cabecalho margin-geral" >
+             <p><input type="checkbox" name="contacts[]" style="display:{show_check};" value="{group_id}"> {group_name}</p>
+        </div>
+        <span class="btn-anexo"><a href="index.php?menuaction=mobile.{href_details}">{lang_see_details}</a></span>
 	</dt>
 <!-- END row_groups -->
Index: branches/2.2/mobile/templates/default/home_search.tpl
===================================================================
--- branches/2.2/mobile/templates/default/home_search.tpl	(revision 3641)
+++ branches/2.2/mobile/templates/default/home_search.tpl	(revision 3706)
@@ -19,9 +19,9 @@
 		
 		<dl id="lista_miolo">
-			
-			<dt>{lang_your_search_was_by}: {search_param}</dt>
-			<dt style="display:{show_mails};">{lang_emails}</dt>
+			<dt id="palavra-procurada">&nbsp;&nbsp;{lang_your_search_was_by}: <strong><i>{search_param}</i></strong></dt>
+
+			<dt class="resultado-titulo" style="display:{show_mails};">&nbsp;{lang_emails}</dt>
 			{mails}
-			<div class="menu-contexto" style="display:{show_more_messages};">
+			<div class="menu-contexto centraliza" style="display:{show_more_messages};">
 				<form method="post" action="index.php">
 					<input type="hidden" name="menuaction" value="mobile.ui_home.search">
@@ -36,10 +36,10 @@
 					<input type="hidden" name="max_contacts" value="{max_contacts}">
 					<input type="hidden" name="max_events" value="{max_events}">
-					<input type="submit" class="btn-contexto" value="{lang_more} 10 {lang_messages}">
+					<button type="submit" title="" class="btn-contexto"> {lang_more} 10 {lang_messages}</button>
 				</form>
 			</div>
-			<dt style="display:{show_contacts};">{lang_contacts}</dt>
+			<dt class="resultado-titulo" style="display:{show_contacts};">&nbsp;{lang_contacts}</dt>
 			{contacts}
-			<div class="menu-contexto" style="display:{show_more_contacts};">
+			<div class="menu-contexto centraliza" style="display:{show_more_contacts};">
 				<form method="post" action="index.php">
 					<input type="hidden" name="menuaction" value="mobile.ui_home.search">
@@ -54,10 +54,10 @@
 					<input type="hidden" name="max_contacts" value="{next_max_contacts}">
 					<input type="hidden" name="max_events" value="{max_events}">
-					<input type="submit" class="btn-contexto" value="{lang_more} 10 {lang_contacts}">
+					<button type="submit" title="" class="btn-contexto"> {lang_more} 10 {lang_contacts}</button>
 				</form>
 			</div>
-			<dt style="display:{show_calendar};">{lang_calendar}</dt>
+			<dt class="resultado-titulo" style="display:{show_calendar};">&nbsp;{lang_calendar}</dt>
 			{calendar_results}
-			<div class="menu-contexto" style="display:{show_more_events};">
+			<div class="menu-contexto centraliza" style="display:{show_more_events};">
 				<form method="post" action="index.php">
 					<input type="hidden" name="menuaction" value="mobile.ui_home.search">
@@ -72,5 +72,5 @@
 					<input type="hidden" name="max_contacts" value="{next_max_contacts}">
 					<input type="hidden" name="max_events" value="{next_max_events}">
-					<input type="submit" class="btn-contexto" value="{lang_more} 10 {lang_events}">
+					<button type="submit" title="" class="btn-contexto"> {lang_more} 10 {lang_events}</button>
 				</form>
 			</div>
@@ -79,11 +79,5 @@
 
 <!-- BEGIN row_events -->
-				<dt class="titulo_mensagem {bg}">
-					{date} - {title}
-				</dt>
-					
-				<dd class="dd-mensagem {bg}">
-					<p>{description}</p>
-				</dd>					
+				<p class="{bg} espacamento"><strong>{date}</strong> - {title}</p>				
 <!-- END row_events -->
 <!-- BEGIN no_events -->
Index: branches/2.2/mobile/templates/css/mobile.css
===================================================================
--- branches/2.2/mobile/templates/css/mobile.css	(revision 3699)
+++ branches/2.2/mobile/templates/css/mobile.css	(revision 3706)
@@ -47,5 +47,5 @@
 .fundo-azul-alinha{background:#EEF7FA; margin-left:8px}
 
-.espacamento{padding:5px 0 5px 25px; margin:0 0 5px 0 }
+.espacamento{padding:5px 0 5px 5px; margin:0 0 5px 0 }
 #palavra-procurada {background:#C0DCE9; height:22px; padding-top:4px; width:100%}
 #editando{font-size:120%; color:#666; margin-left:5px}
@@ -288,6 +288,7 @@
 
 .email-geral{width:100%; padding:5px 0}
-.email-cabecalho{overflow: hidden; width:74%; height:22px; float:left;}
+.email-cabecalho,.contato-cabecalho{overflow: hidden; width:74%; height:22px; float:left;}
 .email-cabecalho p,.email-cabecalho a,.email-cabecalho a:visited{font-size:medium; color:#000}
+.contato-cabecalho{font-size:medium}
 .email-anexo{width:16px; height:16px; float:left;  margin-top:5px}
 .email-data{width:69px; float:right; margin:5px 3px 0 0; margin-top:5px; text-align:right; font-size:x-small;}