Index: branches/2.2/mobile/templates/default/search_bar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3690)
+++ branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3731)
@@ -4,5 +4,5 @@
 			<tr>
 				<td class="gd"><input type="text" name="name" ></td>
-    		<td class="pq"><button name="search_message" class="btn-generico" onClick="document.getElementById('formu_busca').submit();" >buscar </button></td>
+    		<td class="pq"><button name="search_message" class="btn-generico" type="submit" >buscar </button></td>
   		</tr>
   	</table>
Index: branches/2.2/mobile/templates/default/cc_main.tpl
===================================================================
--- branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3710)
+++ branches/2.2/mobile/templates/default/cc_main.tpl	(revision 3731)
@@ -12,5 +12,5 @@
 		</div>
 		
-		<form id="formu_busca" action="index.php" method="post">
+		<form id="form_busca" action="index.php" method="post">
 		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 		<input type="hidden" name="catalog_to_search" value="{actual_catalog}">
Index: branches/2.2/mobile/templates/default/pc_template.tpl
===================================================================
--- branches/2.2/mobile/templates/default/pc_template.tpl	(revision 3727)
+++ branches/2.2/mobile/templates/default/pc_template.tpl	(revision 3731)
@@ -1,8 +1,8 @@
 <!-- BEGIN mobile_home -->
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
+		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 	<head>
-		<title>
-			Expresso Mini
-		</title>
+		<title>{global_title}</title>
 		<meta content="text/html; width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0; charset=utf-8" http-equiv="Content-Type" name="viewport" />
 		<meta name="format-detection" content="telephone=no" />
@@ -11,28 +11,66 @@
 			<link href="templates/css/ie6.css" type="text/css" rel="StyleSheet">
 		<![endif]-->
+		
+		<script type="text/javascript">
+			function validate_desktop_search() {
+				var default_folders = document.getElementById("hidden_default_folders");
+				var personal_folders = document.getElementById("hidden_personal_folders");
+				var calendar_search = document.getElementById("hidden_calendar_search");
+				var contacts_search = document.getElementById("hidden_contacts_search");
+
+				default_folders.value = (document.getElementById("search_default_folders").checked) ? "1" : ""; 
+				personal_folders.value = (document.getElementById("search_personal_folders").checked) ? "1" : ""; 
+				calendar_search.value = (document.getElementById("search_calendar_search").checked) ? "1" : ""; 
+				contacts_search.value = (document.getElementById("search_contacts_search").checked) ? "1" : "";
+
+ 				if(default_folders.value == "" && personal_folders.value == "" && calendar_search.value == "" && contacts_search.value == "") {
+
+ 					if( document.getElementById("box_aviso_negativo") ) { 
+						document.getElementById("box_aviso_negativo").innerHTML = '<div class="aviso-negativo"><strong>{lang_search_error_message}</strong></div>'; 
+					} else { 
+						var targetElement = document.getElementById("topo_box"); 
+						var newElement = document.createElement('div'); 
+						newElement.className = "bg-neutro"; 
+						newElement.id = "box_aviso_negativo"; 
+						newElement.innerHTML = '<div class="aviso-negativo"><strong>{lang_search_error_message}</strong></div>';
+
+ 						var parent = document.getElementById("topo_box").parentNode;
+
+ 						if(parent.lastchild == targetElement) { 
+							parent.appendChild(newElement); 
+						} else { 
+							parent.insertBefore(newElement, targetElement.nextSibling); 
+						} 
+					}
+
+					return false;
+				} else {
+					return true;
+				}
+			}
+		
+		</script>
+		
 	</head>
 	<body>
 		<div id="global">
-			<div class="topo">
-				<h1>
-					Expresso Mini
-				</h1><span><a href="#">Ajuda</a></span>
+			<div id="topo_box" class="topo">
+				<h1>{global_title}</h1>
+				<span><a href="{href_logout}">{lang_logout}</a></span>
 			</div>
-			<form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_search"></form>
-			<div id="busca">
-				<table>
-					<tr>
-						<td class="gd">
-							<input type="text" name="name" />
-						</td>
-						<td class="pq">
-							<button name="search_message" class="btn-generico" onclick="document.getElementById('formu_busca').submit();">BUSCAR</button>
-						</td>
-					</tr>
-				</table>
-			</div><!-- INÃCIO NAVEGAÃÃO -->
+			
+			{message_box}
+			<!-- BEGIN mobile_home_content -->
+			
+			<form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_busca" onSubmit="return validate_desktop_search()">
+				<input type="hidden" name="default_folders" id="hidden_default_folders" value=''/>
+				<input type="hidden" name="personal_folders" id="hidden_personal_folders" value=''/>
+				<input type="hidden" name="calendar_search" id="hidden_calendar_search" value=''/>
+				<input type="hidden" name="contacts_search" id="hidden_contacts_search" value=''/>
+				{search}
+			</form>
 			<div id="navegacao">
 				{home}
-			</div><!-- INÃCIO CONTEÃDO -->
+			</div><!-- INÍCIO CONTEÚDO -->
 			<div id="conteudo">
 				{content}
@@ -40,7 +78,22 @@
 		</div>
 		<div class="rodape">
-			Projeto ExpressoLivre 2004 - 2010 :: LicenÃ§a de Software
+			<p>Projeto ExpressoLivre 2004 - 2010 :: Licen&ccedil;a de Software</p>
+			<p><a href="index.php?menuaction=mobile.ui_home.change_template&template=mini_mobile">{lang_mini_mobile}</a></p>
 		</div>
 	</body>
 </html>
 <!-- END mobile_home -->
+<!-- BEGIN success_message -->
+<div class="bg-neutro" id="box_aviso_positivo">
+	<div class="aviso-positivo">, 
+		<strong>{message}</strong>		
+	</div>
+</div>
+<!-- END success_message -->
+<!-- BEGIN error_message -->
+<div class="bg-neutro" id="box_aviso_negativo">
+	<div class="aviso-negativo">
+		<strong>{message}</strong>
+	</div>
+</div>
+<!-- END error_message -->
Index: branches/2.2/mobile/templates/default/login.tpl
===================================================================
--- branches/2.2/mobile/templates/default/login.tpl	(revision 3714)
+++ branches/2.2/mobile/templates/default/login.tpl	(revision 3731)
@@ -7,5 +7,15 @@
 		<meta content="text/html;width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0; charset=utf-8;" http-equiv="Content-Type" name="viewport" /> 
 		<meta name="format-detection" content="telephone=no" />
-		{css}
+		<link href="templates/css/mobile.css" type="text/css" rel="StyleSheet" />
+
+		<script type="text/javascript">
+
+			function validate_login() {
+				document.getElementById("max_resolution").value = ((screen.width >= screen.height) ? screen.width : screen.height);
+				
+				return true;
+			}
+
+		</script>
 	</head>
 	
@@ -15,8 +25,8 @@
 		</div>
 
-		{message_box}
+		{message_box}		
 		
-		
-		<form name="form_login" method="post" action="./login.php">
+		<form name="form_login" method="post" action="./login.php" id="login_form" onSubmit="return validate_login()">
+			<input type="hidden" name="max_resolution" id="max_resolution" value="">
 			<input type="hidden" name="passwd_type" value="text">
 			<input type="hidden" name="account type" value="u">
@@ -24,16 +34,20 @@
 				<div class="login">
 					<strong>{lang_username}:</strong><br/>
-					<input name="login"/><br/>
-					<script>document.form_login.login.focus();</script>
+					<input name="login" id="login"/><br/>
 					<strong>{lang_password}:</strong><br/>
 					<input name="passwd" type="password" autocomplete=off/><br/>
-					<button name="submitit" class="btn-contexto" style="margin-top:5px">{lang_login}</button>
-				</div> 				
+					<button name="submitit" class="btn-contexto" style="margin-top:5px" type="submit">{lang_login}</button>
+				</div>
 			</dt>
 		</form>
-	
+
 		<div class="rodape">Projeto ExpressoLivre 2004 - 2010 :: Licen&ccedil;a de Software</div>
 	</body>
 </html>
+
+<script type="text/javascript">
+	document.getElementById('login').focus();
+</script>
+
 <!-- END page -->
 <!-- BEGIN success_message -->
Index: branches/2.2/mobile/templates/default/calendar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/calendar.tpl	(revision 3696)
+++ branches/2.2/mobile/templates/default/calendar.tpl	(revision 3731)
@@ -14,5 +14,5 @@
 </form>
 
-<dl id="lista_miolo">	
+<dl id="lista_miolo">	>
 	{events_box}	
 </dl>
@@ -38,7 +38,9 @@
 <!-- END event_block -->
 <!-- BEGIN no_event_block -->
-<dt class="titulo_mensagem {dd_class}">
-	{msg_no_event}
-</dt>
+<div class="dt_branco">
+	<div class="centraliza aumenta-tamanho">
+		<p class="email-item">{msg_no_event}</p>
+	</div>
+</div>
 <!-- END no_event_block -->
 <!-- BEGIN type_option_block -->
Index: branches/2.2/mobile/templates/default/mobilemail.tpl
===================================================================
--- branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3691)
+++ branches/2.2/mobile/templates/default/mobilemail.tpl	(revision 3731)
@@ -6,5 +6,5 @@
 		</div>
 			
-		<form action="index.php" method="post" id="formu_busca"> 
+		<form action="index.php" method="post" id="form_busca"> 
 		<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 		<input type="hidden" name="folder_to_search" value="{folder_id}">
@@ -24,26 +24,27 @@
 				</select>
 			</dt>
+		
+			<form id="formu" action="index.php" method="post">
+			<input type="hidden" id="menuaction" name="menuaction" value="mobile.ui_mobilemail.delete_msg">
+			<input type="hidden" id="msg_folder" name="msg_folder" value="{folder_id}">
+			<input type="hidden" id="flag" name="flag" value="seen">
+			{mails}
+			</form>
+		
+			<div class="menu-contexto centraliza" style="display:{show_more};">
+				<form method="post" action="index.php">
+					<input type="hidden" name="menuaction" value="mobile.ui_mobilemail.change_page">
+					<input type="hidden" name="page" value="{page}">
+					<button type="submit" name="more_messages" title="{lang_more_messages}" class="btn-contexto"> {lang_more} 10 {lang_messages}</button>
+				</form>
+			</div>
 			
-				<form id="formu" action="index.php" method="post">
-				<input type="hidden" id="menuaction" name="menuaction" value="mobile.ui_mobilemail.delete_msg">
-				<input type="hidden" id="msg_folder" name="msg_folder" value="{folder_id}">
-				<input type="hidden" id="flag" name="flag" value="seen">
-				{mails}
-				</form>
-			
-		<div class="menu-contexto centraliza" style="display:{show_more};">
-			<form method="post" action="index.php">
-				<input type="hidden" name="menuaction" value="mobile.ui_mobilemail.change_page">
-				<input type="hidden" name="page" value="{page}">
-				<button type="submit" name="more_messages" title="{lang_more_messages}" class="btn-contexto"> {lang_more} 10 {lang_messages}</button>
-			</form>
-		</div>
-		
-		<div id="operacao_lista">
-			<div class="margin-rodape">
-				{selecteds}:
-				<button id="selecionar" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.mark_message_with_flag';document.getElementById('formu').submit();" >marcar como lido</button>
-				<button id="remover" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.delete_msg';document.getElementById('formu').submit();">remover</button>
+			<div id="operacao_lista">
+				<div class="margin-rodape">
+					{selecteds}:
+					<button id="selecionar" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.mark_message_with_flag';document.getElementById('formu').submit();" >marcar como lido</button>
+					<button id="remover" class="btn-generico" onclick="document.getElementById('menuaction').value='mobile.ui_mobilemail.delete_msg';document.getElementById('formu').submit();">remover</button>
+				</div>
 			</div>
-		</div>
+		</dl>
 <!-- END main_emails -->
Index: branches/2.2/mobile/templates/default/template.tpl
===================================================================
--- branches/2.2/mobile/templates/default/template.tpl	(revision 3727)
+++ branches/2.2/mobile/templates/default/template.tpl	(revision 3731)
@@ -4,12 +4,12 @@
 <html xmlns="http://www.w3.org/1999/xhtml">
     <head>   
-	    <title>Expresso Mini</title>
+	    <title>{global_title}</title>
 		<meta content="text/html;width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0; charset=utf-8;" http-equiv="Content-Type" name="viewport" /> 
 		<meta name="format-detection" content="telephone=no" />
-		{css}
+		<link href="templates/css/mobile.css" type="text/css" rel="StyleSheet" />
 	</head>	
 	<body>
 		<div class="topo">
-			<h1>Expresso Mini</h1>
+			<h1>{global_title}</h1>
 			<span><a href="{href_logout}">{lang_logout}</a></span>
 		</div>
@@ -30,5 +30,5 @@
 		</div>
 		<div class="rodape">Projeto ExpressoLivre 2004 - 2010 :: Licen&ccedil;a de Software</div>
-		 <div class="rodape center"><a href="index.php?menuaction=mobile.ui_home.change_template&template=mini">Utilizar versão para Desktops</a></div>
+		<div class="rodape center"><a href="index.php?menuaction=mobile.ui_home.change_template&template=mini_desktop">Mini Desktop</a></div>
 	</body>
 </html>
@@ -36,5 +36,5 @@
 <!-- BEGIN success_message -->
 <div class="bg-neutro">
-	<div class="aviso-positivo" style="width:98%;padding-left:1%;padding-right:1%;">
+	<div class="aviso-positivo">
 		<strong>{message}</strong>
 	</div>
@@ -43,5 +43,5 @@
 <!-- BEGIN error_message -->
 <div class="bg-neutro">
-	<div class="aviso-negativo" style="width:98%;padding-left:1%;padding-right:1%;">
+	<div class="aviso-negativo">
 		<strong>{message}</strong>
 	</div>
Index: branches/2.2/mobile/templates/default/home_search.tpl
===================================================================
--- branches/2.2/mobile/templates/default/home_search.tpl	(revision 3713)
+++ branches/2.2/mobile/templates/default/home_search.tpl	(revision 3731)
@@ -1,8 +1,8 @@
-<!-- BEGIN home_search -->
+<!-- BEGIN main -->
 		<div class="menu-contexto">
 			<span><a href="javascript:history.go(-1);">{lang_back}</a></span> <span class="titulo-secao">{lang_search_return}</span>
 		</div>
 			
-			<form method="post" action="index.php">
+			<form method="post" action="index.php" id="form_busca">
 				<input type="hidden" name="menuaction" value="mobile.ui_home.search">
 				<input type="hidden" name="default_folders" value="{default_folders}">
@@ -76,8 +76,8 @@
 			</div>
 		</dl>
-<!-- END home_search -->
+<!-- END main -->
 
 <!-- BEGIN row_events -->
-				<p class="{bg} espacamento_contato_search"><strong>{date}</strong> - {title}</p>				
+				<p class="{bg} espacamento_contato_search"><strong>{date}</strong> - {title}</p>
 <!-- END row_events -->
 <!-- BEGIN no_events -->
Index: branches/2.2/mobile/templates/default/home_index.tpl
===================================================================
--- branches/2.2/mobile/templates/default/home_index.tpl	(revision 3697)
+++ branches/2.2/mobile/templates/default/home_index.tpl	(revision 3731)
@@ -1,4 +1,14 @@
 <!-- BEGIN page -->
-<form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_search">
+
+<script type="text/javascript">
+
+function expand_folders() {
+	var box = document.getElementById("personal_folder_box");
+	box.style.display = (box.style.display == "none") ? "block" : "none";
+}
+
+</script>
+
+<form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_busca">
 	{search}
 	
@@ -10,11 +20,20 @@
 	
 	<dl id="lista_miolo">
-		<div class="resultado-titulo"><label><input type="checkbox" name="default_folders" value='1'/><span class="email-item">{lang_my_mail}</span></label><div class="rotulo-complementar">Usados {quota_percent}% [{quota_used}/{quota_limit}]</div></div>
-			{default_folders_box}
-    <div class="limpar_div resultado-titulo"><label><input type="checkbox" name="personal_folders" value='1'><a href="index.php?menuaction=mobile.ui_home.index&expand_folders={expand_folders}" class="email-item"> {lang_my_folders}</a></label></div>
-      {personal_folders_box}			
-		<div class="limpar_div resultado-titulo"><label><input type="checkbox" name="calendar_search" value='1'><a href="index.php?menuaction=mobile.ui_mobilecalendar.index" class="email-item"> {lang_my_commitments}</a></label></div>
-			{commitments_box}
-    <div class="limpar_div resultado-titulo"><label><input type="checkbox" name="contacts_search" value='1'> <a href="index.php?menuaction=mobile.ui_mobilecc.init_cc" class="email-item"> {lang_my_contacts} </a></label></div>			
+		<dd style="margin: 0; padding: 0"><div class="resultado-titulo"><label><input type="checkbox" name="default_folders" value='1' id="search_default_folders" /><span class="email-item">{lang_my_mail}</span></label><div class="rotulo-complementar">{quota_percent}% [{quota_used}/{quota_limit}]</div></div>
+		</dd>
+		{default_folders_box}
+		<dd>
+	    <div class="limpar_div resultado-titulo"><label><input type="checkbox" name="personal_folders" value='1' id="search_personal_folders"><a href="javascript:expand_folders()" class="email-item"> {lang_my_folders}</a></label></div>
+		</dd>
+	  <span id="personal_folder_box" style="display: none;">
+			{personal_folders_box}
+		</span>		
+		<dd>
+			<div class="limpar_div resultado-titulo"><label><input type="checkbox" name="calendar_search" value='1' id="search_calendar_search"><a href="index.php?menuaction=mobile.ui_mobilecalendar.index" class="email-item"> {lang_my_commitments}</a></label></div>
+		</dd>
+		{commitments_box}
+		<dd>
+    	<div class="limpar_div resultado-titulo"><label><input type="checkbox" name="contacts_search" value='1' id="search_contacts_search"> <a href="index.php?menuaction=mobile.ui_mobilecc.init_cc" class="email-item"> {lang_my_contacts} </a></label></div>
+		</dd>
 	</dl>
 </form>