Index: branches/2.2/mobile/templates/default/search_bar.tpl
===================================================================
--- branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3731)
+++ branches/2.2/mobile/templates/default/search_bar.tpl	(revision 3734)
@@ -3,6 +3,6 @@
 		<table>
 			<tr>
-				<td class="gd"><input type="text" name="name" ></td>
-    		<td class="pq"><button name="search_message" class="btn-generico" type="submit" >buscar </button></td>
+				<td class="gd"><input type="text" name="name" id="search_name" ></td>
+    		<td class="pq"><button name="search_message" class="btn-generico" type="submit">buscar</button></td>
   		</tr>
   	</table>
Index: branches/2.2/mobile/templates/default/pc_template.tpl
===================================================================
--- branches/2.2/mobile/templates/default/pc_template.tpl	(revision 3731)
+++ branches/2.2/mobile/templates/default/pc_template.tpl	(revision 3734)
@@ -18,5 +18,6 @@
 				var calendar_search = document.getElementById("hidden_calendar_search");
 				var contacts_search = document.getElementById("hidden_contacts_search");
-
+				
+				//pegando os valores do checkbox e injetando dentro do formulário
 				default_folders.value = (document.getElementById("search_default_folders").checked) ? "1" : ""; 
 				personal_folders.value = (document.getElementById("search_personal_folders").checked) ? "1" : ""; 
@@ -24,27 +25,42 @@
 				contacts_search.value = (document.getElementById("search_contacts_search").checked) ? "1" : "";
 
+				var error_message = "";
+
+				//verificando se vai ser possível realizar a consulta
  				if(default_folders.value == "" && personal_folders.value == "" && calendar_search.value == "" && contacts_search.value == "") {
-
- 					if( document.getElementById("box_aviso_negativo") ) { 
-						document.getElementById("box_aviso_negativo").innerHTML = '<div class="aviso-negativo"><strong>{lang_search_error_message}</strong></div>'; 
-					} else { 
-						var targetElement = document.getElementById("topo_box"); 
-						var newElement = document.createElement('div'); 
-						newElement.className = "bg-neutro"; 
-						newElement.id = "box_aviso_negativo"; 
-						newElement.innerHTML = '<div class="aviso-negativo"><strong>{lang_search_error_message}</strong></div>';
-
- 						var parent = document.getElementById("topo_box").parentNode;
-
- 						if(parent.lastchild == targetElement) { 
-							parent.appendChild(newElement); 
-						} else { 
-							parent.insertBefore(newElement, targetElement.nextSibling); 
-						} 
-					}
-
+					error_message = "<p>{lang_search_error_message}</p>";
+				}
+				
+				search_name = document.getElementById("search_name");
+				
+				if( search_name.value == "" || search_name.value.length < 5 ) {
+					error_message += "<p>{lang_search_error_message_four_digits}</p>";
+				}
+				
+				if(error_message != "") {
+					show_error_message(error_message);
 					return false;
 				} else {
 					return true;
+				}
+			}
+			
+			function show_error_message(message) {
+				if( document.getElementById("box_aviso_negativo") ) {
+					document.getElementById("box_aviso_negativo").innerHTML = '<div class="aviso-negativo"><strong>'+message+'</strong></div>';
+				} else { 
+					var targetElement = document.getElementById("topo_box");
+					var newElement = document.createElement('div');
+					newElement.className = "bg-neutro";
+					newElement.id = "box_aviso_negativo";
+					newElement.innerHTML = '<div class="aviso-negativo"><strong>'+message+'</strong></div>';
+
+					var parent = document.getElementById("topo_box").parentNode;
+
+					if(parent.lastchild == targetElement) {
+						parent.appendChild(newElement);
+					} else {
+						parent.insertBefore(newElement, targetElement.nextSibling);
+					}
 				}
 			}
@@ -63,5 +79,5 @@
 			<!-- BEGIN mobile_home_content -->
 			
-			<form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_busca" onSubmit="return validate_desktop_search()">
+			<form method="post" action="index.php?menuaction=mobile.ui_home.search" id="form_busca" onsubmit="return validate_desktop_search()">
 				<input type="hidden" name="default_folders" id="hidden_default_folders" value=''/>
 				<input type="hidden" name="personal_folders" id="hidden_personal_folders" value=''/>