Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailAnexoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailAnexoTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/EncaminharEmailAnexoTestCase.java	(revision 3745)
@@ -0,0 +1,20 @@
+package br.gov.serpro.expresso.cte.email.responder;
+
+import org.testng.annotations.Test;
+
+import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jan 26, 2011 at 9:15:31 AM
+ * 
+ */
+public class EncaminharEmailAnexoTestCase extends BaseEmailTestCase {
+
+	@Test
+	public void test() {
+		String id = mp.readEmail(EMAIL_ASSUNTO_ANEXO);
+		mp.forwardEmail(id, EMAIL_TESTE_1);
+	}
+}
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailTestCase.java	(revision 3745)
@@ -0,0 +1,21 @@
+package br.gov.serpro.expresso.cte.email.responder;
+
+import org.testng.annotations.Test;
+
+import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jan 26, 2011 at 9:22:08 AM
+ * 
+ */
+public class ResponderEmailTestCase extends BaseEmailTestCase {
+
+	@Test
+	public void test() {
+		String id = mp.readEmail(EMAIL_ASSUNTO);
+		mp.replyEmail(id);
+	}
+
+}
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailSemHistoricoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailSemHistoricoTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailSemHistoricoTestCase.java	(revision 3745)
@@ -0,0 +1,21 @@
+package br.gov.serpro.expresso.cte.email.responder;
+
+import org.testng.annotations.Test;
+
+import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jan 26, 2011 at 9:27:24 AM
+ * 
+ */
+public class ResponderTodosEmailSemHistoricoTestCase extends BaseEmailTestCase {
+
+	@Test
+	public void test() {
+		String id = mp.readEmail(EMAIL_ASSUNTO);
+		mp.replyAllEmailWithoutHistory(id);
+	}
+
+}
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailSemHistoricoTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailSemHistoricoTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderEmailSemHistoricoTestCase.java	(revision 3745)
@@ -0,0 +1,21 @@
+package br.gov.serpro.expresso.cte.email.responder;
+
+import org.testng.annotations.Test;
+
+import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jan 26, 2011 at 9:27:24 AM
+ * 
+ */
+public class ResponderEmailSemHistoricoTestCase extends BaseEmailTestCase {
+
+	@Test
+	public void test() {
+		String id = mp.readEmail(EMAIL_ASSUNTO);
+		mp.replyEmailWithoutHistory(id);
+	}
+
+}
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/email/responder/ResponderTodosEmailTestCase.java	(revision 3745)
@@ -0,0 +1,21 @@
+package br.gov.serpro.expresso.cte.email.responder;
+
+import org.testng.annotations.Test;
+
+import br.gov.serpro.expresso.cte.common.BaseEmailTestCase;
+
+/**
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Jan 26, 2011 at 9:40:55 AM
+ * 
+ */
+public class ResponderTodosEmailTestCase extends BaseEmailTestCase {
+
+	@Test
+	public void test() {
+		String id = mp.readEmail(EMAIL_ASSUNTO);
+		mp.replyAllEmail(id);
+	}
+
+}