Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/config.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/config.properties	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/config.properties	(revision 3766)
@@ -2,7 +2,13 @@
 user=luiz-fernando.estivalet
 passwd=senha
+
 #url=https://homologaexpresso.serpro.gov.br
 #user=88758559000
 #passwd=t5y6u7i8
+
+#url=https://10.30.202.205
+#user=teste1.mp
+#passwd=teste
+
 url.preferences=https://cte.serpro.gov.br/preferences
 url.preferences.email=https://cte.serpro.gov.br/preferences/preferences.php?appname=expressoMail1_2
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Config.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Config.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Config.java	(revision 3766)
@@ -16,5 +16,4 @@
 	private Properties config;
 	private Properties mensagens;
-	private Properties campos;
 	private Properties valores;
 	private Properties emailPreferences;
@@ -26,6 +25,4 @@
 			this.mensagens = this
 					.load("br/gov/serpro/expresso/cte/common/mensagens.properties");
-			this.campos = this
-					.load("br/gov/serpro/expresso/cte/common/campos.properties");
 			this.valores = this
 					.load("br/gov/serpro/expresso/cte/common/valores.properties");
@@ -50,6 +47,6 @@
 	}
 
-	public String getCampo(String key) {
-		return this.campos.getProperty(key);
+	public String getMensagem(String key, Object... args) {
+		return MessageFormat.format(getMensagem(key), args);
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseTestCase.java	(revision 3766)
@@ -1,9 +1,12 @@
 package br.gov.serpro.expresso.cte.common;
 
+import org.openqa.selenium.By;
 import org.openqa.selenium.WebDriver;
 import org.openqa.selenium.firefox.FirefoxDriver;
 import org.openqa.selenium.support.PageFactory;
 import org.testng.annotations.AfterClass;
+import org.testng.annotations.AfterSuite;
 import org.testng.annotations.BeforeClass;
+import org.testng.annotations.BeforeSuite;
 
 import br.gov.serpro.expresso.cte.pages.common.LoginPage;
@@ -17,12 +20,24 @@
  */
 public class BaseTestCase implements Constants {
-	protected WebDriver driver;
 
-	@BeforeClass
-	public void beforeClass() {
+	/** Driver utilizado para rodar os testes. */
+	protected static WebDriver driver;
+
+	/**
+	 * Antes de comecar a suite de testes abrir o navegador.
+	 * 
+	 * TODO Parametrizar o driver de forma a abrir outros navegadores como o
+	 * Internet Explorer por exemplo.
+	 */
+	@BeforeSuite
+	public void beforeSuite() {
 		driver = new FirefoxDriver();
 		driver.get(URL);
 	}
 
+	/**
+	 * Antes de cada classe de teste o login na aplicacao eh realizado.
+	 */
+	@BeforeClass
 	public void login() {
 		LoginPage page = PageFactory.initElements(driver, LoginPage.class);
@@ -30,12 +45,28 @@
 	}
 
+	/**
+	 * Ao final de cada classe de teste o logout na aplicacao eh realizado.
+	 */
+	@AfterClass
+	public void logout() {
+		driver.findElement(By.id("logout_id")).click();
+	}
+
+	/**
+	 * Ao final da suite de testes fecha-se o driver (navegador).
+	 */
+	@AfterSuite
+	public void afterSuite() {
+		driver.close();
+	}
+
+	/**
+	 * Abre a pagina de preferencias do usuario.
+	 * 
+	 * @return
+	 */
 	public PreferencesPage openPreferencesPage() {
 		driver.get(URL_PREFERENCES);
 		return PageFactory.initElements(driver, PreferencesPage.class);
-	}
-
-	@AfterClass
-	public void afterClass() {
-		driver.close();
 	}
 
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/valores.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/valores.properties	(revision 3663)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/valores.properties	(revision 3766)
@@ -4,4 +4,5 @@
 email.invalido=bla
 email.teste.multiplos=luiz-fernando.estivalet@cte.serpro.gov.br, luizfernando_estivalet@yahoo.com
+email.pasta.teste=Selenium
 anexo.1=/home/luiz/Desktop/arquivo.txt
 anexo.2=/home/luiz/Desktop/arquivo2.txt
@@ -23,4 +24,6 @@
 texto.email.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste de cópia oculta</p><p>Favor ignorar!</p>
 texto.email.copia=<p>Email enviado a partir do Selenium!</p><p>Teste de cópia</p><p>Favor ignorar!</p>
+texto.email.somente.copia.oculta=<p>Email enviado a partir do Selenium!</p><p>Teste de somente cópia oculta</p><p>Favor ignorar!</p>
+texto.email.somente.copia=<p>Email enviado a partir do Selenium!</p><p>Teste de somente cópia</p><p>Favor ignorar!</p>
 texto.email.importante=<p>Email enviado a partir do Selenium!</p><p>Teste de email importante</p><p>Favor ignorar!</p>
 texto.email.multiplos.anexos=<p>Email enviado a partir do Selenium!</p><p>Teste de email com múltiplos anexos</p><p>Favor ignorar!</p>
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/mensagens.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/mensagens.properties	(revision 3663)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/mensagens.properties	(revision 3766)
@@ -12,3 +12,5 @@
 marcar.nao.lido=Mensagem marcada como Não lida
 apagar.mensagem=Mensagens movidas para pasta Lixeira
-teste=Olá {0}, {1}
+mensagem.sem.assunto=Enviar esta mensagem sem assunto?
+email.movido=Mensagem movida para a pasta {0}
+pasta.removida=A pasta {0} foi removida com sucesso!
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Constants.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Constants.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/Constants.java	(revision 3766)
@@ -1,4 +1,12 @@
 package br.gov.serpro.expresso.cte.common;
 
+/**
+ * Contem "atalhos" para as constantes usadas nos casos de teste.
+ * 
+ * @author L.F.Estivalet (Serpro)
+ * 
+ *         Created on Feb 15, 2011 at 4:10:02 PM
+ * 
+ */
 public interface Constants {
 	public static final String URL = Config.getInstance().getConfig("url");
@@ -12,4 +20,6 @@
 	public static final String EMAIL_TESTE_1 = Config.getInstance().getValor(
 			"email.teste.1");
+	public static final String EMAIL_TESTE_2 = Config.getInstance().getValor(
+			"email.teste.2");
 	public static final String EMAIL_TESTE_N_DESTINATARIOS = Config
 			.getInstance().getValor("email.teste.multiplos");
@@ -18,10 +28,16 @@
 	public static final String EMAIL_ASSUNTO = Config.getInstance().getValor(
 			"assunto");
+	public static final String EMAIL_ASSUNTO_IMPORTANTE = Config.getInstance()
+			.getValor("assunto.importante");
 	public static final String EMAIL_ASSUNTO_SALVAR = Config.getInstance()
 			.getValor("assunto.salvar");
 	public static final String EMAIL_ASSUNTO_COPIA_OCULTA = Config
+			.getInstance().getValor("assunto.copia.oculta");
+	public static final String EMAIL_ASSUNTO_COPIA = Config.getInstance()
+			.getValor("assunto.copia");
+	public static final String EMAIL_ASSUNTO_SOMENTE_COPIA_OCULTA = Config
 			.getInstance().getValor("assunto.somente.copia.oculta");
-	public static final String EMAIL_ASSUNTO_COPIA = Config.getInstance()
-			.getValor("assunto.somente.copia");
+	public static final String EMAIL_ASSUNTO_SOMENTE_COPIA = Config
+			.getInstance().getValor("assunto.somente.copia");
 	public static final String EMAIL_ASSUNTO_ANEXO = Config.getInstance()
 			.getValor("assunto.anexo");
@@ -30,7 +46,13 @@
 	public static final String EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS = Config
 			.getInstance().getValor("assunto.multiplos.destinatarios");
+	public static final String EMAIL_ASSUNTO_LEITURA = Config.getInstance()
+			.getValor("assunto.confirmacao.leitura");
 
 	public static final String EMAIL_TEXTO = Config.getInstance().getValor(
 			"texto.email");
+	public static final String EMAIL_TEXTO_SEM_ASSUNTO = Config.getInstance()
+			.getValor("texto.email.sem.assunto");
+	public static final String EMAIL_TEXTO_IMPORTANTE = Config.getInstance()
+			.getValor("texto.email.importante");
 	public static final String EMAIL_TEXTO_SALVAR = Config.getInstance()
 			.getValor("texto.email.salvo");
@@ -39,4 +61,8 @@
 	public static final String EMAIL_TEXTO_COPIA = Config.getInstance()
 			.getValor("texto.email.copia");
+	public static final String EMAIL_TEXTO_SOMENTE_COPIA_OCULTA = Config
+			.getInstance().getValor("texto.email.somente.copia.oculta");
+	public static final String EMAIL_TEXTO_SOMENTE_COPIA = Config.getInstance()
+			.getValor("texto.email.somente.copia");
 	public static final String EMAIL_TEXTO_ANEXO = Config.getInstance()
 			.getValor("texto.email.anexo");
@@ -45,6 +71,12 @@
 	public static final String EMAIL_TEXTO_MULTIPLOS_DESTINATARIOS = Config
 			.getInstance().getValor("texto.email.multiplos.destinatarios");
+	public static final String EMAIL_TEXTO_LEITURA = Config.getInstance()
+			.getValor("texto.email.confirmacao.leitura");
+	public static final String EMAIL_PASTA_TESTE = Config.getInstance()
+			.getValor("email.pasta.teste");
 	public static final String ANEXO_1 = Config.getInstance().getValor(
 			"anexo.1");
+	public static final String ANEXO_2 = Config.getInstance().getValor(
+			"anexo.2");
 
 	public static final String MSG_EMAIL_ENVIADO = Config.getInstance()
@@ -58,6 +90,10 @@
 	public static final String MSG_EMAIL_LIMPAR_LIXEIRA = Config.getInstance()
 			.getMensagem("limpar.lixeira");
+	public static final String MSG_EMAIL_LIXEIRA_LIMPA = Config.getInstance()
+			.getMensagem("lixeira.limpa");
 	public static final String MSG_EMAIL_DESTINATARIO_INVALIDO = Config
 			.getInstance().getMensagem("destinatario.invalido");
+	public static final String MSG_EMAIL_SEM_DESTINATARIO = Config
+			.getInstance().getMensagem("sem.destinatario");
 	public static final String MSG_EMAIL_IMPORTANTE = Config.getInstance()
 			.getMensagem("marcar.importante");
@@ -66,4 +102,10 @@
 	public static final String MSG_EMAIL_NAO_LIDO = Config.getInstance()
 			.getMensagem("marcar.nao.lido");
+	public static final String MSG_ENVIAR_SEM_ASSUNTO = Config.getInstance()
+			.getMensagem("mensagem.sem.assunto");
+	public static final String MSG_EMAIL_MOVIDO = Config.getInstance()
+			.getMensagem("email.movido", EMAIL_PASTA_TESTE);
+	public static final String MSG_EMAIL_PASTA_REMOVIDA = Config.getInstance()
+			.getMensagem("pasta.removida", EMAIL_PASTA_TESTE);
 
 }
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseEmailTestCase.java
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseEmailTestCase.java	(revision 3745)
+++ devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/BaseEmailTestCase.java	(revision 3766)
@@ -27,6 +27,5 @@
 	@Test
 	public void init() {
-		System.out.println("init base email test case");
-		super.login();
+		// super.login();
 		HomePage hp = PageFactory.initElements(driver, HomePage.class);
 		hp.enterMail();
@@ -34,4 +33,9 @@
 	}
 
+	/**
+	 * Abre pagina de preferencias do modulo ExpressoMail
+	 * 
+	 * @return
+	 */
 	public ExpressoMailPreferencesPage openEmailPreferencesPage() {
 		driver.get(URL_PREFERENCES_EMAIL);
Index: devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/campos.properties
===================================================================
--- devel/testlink/automation2.0/src/test/java/br/gov/serpro/expresso/cte/common/campos.properties	(revision 3663)
+++ 	(revision )
@@ -1,42 +1,0 @@
-email.adicionar.anexo=link=exact:Anexos: adicionar+
-email.anexo.1=inputFile_1_1
-email.anexo.2=inputFile_1_2
-email.nova.mensagem=//table[@id='folders_tbl']/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span
-email.para.1=to_1
-email.assunto.1=subject_1
-email.enviar.email.1=send_button_1
-email.checkbox.email=//div[@id='exmail_main_body']/div[@id='content_id_0']/div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[1]/td[1]/input[1]
-email.confirmacao.leitura=return_receipt_1
-email.importante=//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[2]/span[3]
-email.normal=//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[2]/span[3]
-email.nao.lido=//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[2]/span[2]
-email.importante.checkbox=important_message_1
-email.copia.1=a_cc_link_1
-email.salvar=save_message_options_1
-email.copia.campo.1=cc_1
-email.copia.oculta.1=a_cco_link_1
-email.copia.oculta.campo.1=cco_1
-email.pasta.lixeira=lINBOX/Trashtree_folders
-email.pasta.enviados=lINBOX/Senttree_folders
-email.limpar.lixeira=empty_trash
-email.selecionar.todos.emails=chk_box_select_all_messages
-email.encaminhar.email=//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[3]/span[3]
-email.responder.email=//div[@id='exmail_main_body']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[1]/td[3]/span[5]
-email.mover.email=//span[@onclick='wfolders.makeWindow(\"\",\"move_to\")']
-email.msg.info=msg_info
-email.mensagem=em_div_write_msg
-email.div.principal=divScrollMain_0
-email.aba.mensagem=//div[@id='exmail_main_body']/table[1]/tbody[@id='border_tbody']/tr[1]/td[2]/table/tbody/tr/td[1]
-email.apagar.email=//div[@id='footer_menu']/table[@id='footer_box']/tbody/tr[@id='table_message']/td[@id='span_options']/span[1]/span
-email.total.emails=//div[@id='exmail_main_body']/table[@id='border_table']/tbody[@id='border_tbody']/tr[@id='border_tr']/td[@id='border_id_0']/font/span[@id='tot_m']
-email.responder.todos=msg_opt_reply_options{0}_r
-email.responder.todos.sem.historico=msg_opt_reply_options{0}_r
-email.responder.sem.historico=msg_opt_reply_options{0}_r
-email.id=//div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[{0}]/td[1]/input[1]@id
-email.id.importante=//div[@id='exmail_main_body']/div[@id='content_id_0']/div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[@id='{0}']/td[5]/img
-email.id.lido=//div[@id='exmail_main_body']/div[@id='content_id_0']/div[@id='divScrollMain_0']/table[@id='table_box']/tbody[@id='tbody_box']/tr[@id='{0}']/td[7]/img@title
-email.id.responder.todos=//div[@id='''exmail_main_body''']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span[1]
-email.id.responder.todos.sem.historico=//div[@id='''exmail_main_body''']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span[3]
-email.id.responder.sem.historico=//div[@id='''exmail_main_body''']/div[2]/table/tbody/tr[1]/td/table/tbody/tr[2]/td/div/span[3]
-email.id.para=to{0}
-email.id.enviar=send_button{0}